From 79d9801bf58001f5f08ec67ec0255cc14ac28cc9 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Fri, 25 Dec 2009 21:10:54 +0200
Subject: [PATCH] Prefer double quotes for shell friendly output (copy/paste)

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 Makefile.maint                 |   10 +-
 libltdl/config/general.m4sh    |    6 +-
 libltdl/config/getopt.m4sh     |    2 +-
 libltdl/config/ltmain.m4sh     |  264 ++++++++++++++++++++--------------------
 libltdl/config/mailnotify.m4sh |    6 +-
 libltdl/m4/libtool.m4          |    6 +-
 libtoolize.m4sh                |  100 ++++++++--------
 7 files changed, 197 insertions(+), 197 deletions(-)

diff --git a/Makefile.maint b/Makefile.maint
index 02284df..1db9a13 100644
--- a/Makefile.maint
+++ b/Makefile.maint
@@ -27,10 +27,10 @@
 include Makefile
 Makefile:
 	@echo " *** Run maintainer rules from the build tree, with"
-	@echo " *** \`make -f../Makefile.maint' for example, where"
-	@echo " *** \`../' is the relative path back to the directory"
-	@echo " *** that contains the \`Makefile.maint'.  Alternatively,"
-	@echo " *** run \`./configure' in the source tree for an in"
+	@echo " *** \"make -f../Makefile.maint\" for example, where"
+	@echo " *** \"../\" is the relative path back to the directory"
+	@echo " *** that contains the \"Makefile.maint\".  Alternatively,"
+	@echo " *** run \"./configure\" in the source tree for an in"
 	@echo " *** tree build."
 	@exit 1
 
@@ -78,7 +78,7 @@ git-release: version-check prev-tarball check-news fetch git-commit git-dist dif
 version-check:
 	@case $(VERSION) in \
 	*[acegikmoqsuwy]) \
-	  echo "Version \`$(VERSION)' is not a releasable version, please read:"; \
+	  echo "Version \"$(VERSION)\" is not a releasable version, please read:"; \
 	  echo "    http://www.gnu.org/software/libtool/contribute.html"; \
 	  exit 1; \
 	  ;; \
diff --git a/libltdl/config/general.m4sh b/libltdl/config/general.m4sh
index 90722bc..7df06be 100644
--- a/libltdl/config/general.m4sh
+++ b/libltdl/config/general.m4sh
@@ -364,7 +364,7 @@ func_fatal_help ()
     func_error ${1+"$@"}
     func_fatal_error "$help"
 }
-help="Try \`$progname --help' for more information."  ## default
+help="Try \"$progname --help\" for more information."  ## default
 
 
 # func_grep expression filename
@@ -415,7 +415,7 @@ func_mkdir_p ()
 
       # Bail out if we (or some other process) failed to create a directory.
       test -d "$my_directory_path" || \
-        func_fatal_error "Failed to create \`$1'"
+        func_fatal_error "Failed to create \"$1\""
     fi
 }
 
@@ -448,7 +448,7 @@ func_mktempdir ()
 
       # If we're not in dry-run mode, bomb out on failure
       test -d "$my_tmpdir" || \
-        func_fatal_error "cannot create temporary directory \`$my_tmpdir'"
+        func_fatal_error "cannot create temporary directory \"$my_tmpdir\""
     fi
 
     $ECHO "$my_tmpdir"
diff --git a/libltdl/config/getopt.m4sh b/libltdl/config/getopt.m4sh
index d0f92f6..c2bb460 100644
--- a/libltdl/config/getopt.m4sh
+++ b/libltdl/config/getopt.m4sh
@@ -64,7 +64,7 @@ func_usage ()
 	p
     }' < "$progpath"
     echo
-    $ECHO "run \`$progname --help | more' for full usage"
+    $ECHO "run \"$progname --help | more\" for full usage"
     exit $?
 }
 
diff --git a/libltdl/config/ltmain.m4sh b/libltdl/config/ltmain.m4sh
index 91d0800..76d64e7 100644
--- a/libltdl/config/ltmain.m4sh
+++ b/libltdl/config/ltmain.m4sh
@@ -359,7 +359,7 @@ func_enable_tag ()
       --help-all)	opt_help=': help-all'				;;
       --version)	func_version					;;
 
-      -*)		func_fatal_help "unrecognized option \`$opt'"	;;
+      -*)		func_fatal_help "unrecognized option \"$opt\""	;;
 
       *)		nonopt="$opt"
 			break
@@ -440,14 +440,14 @@ $opt_help || {
 
   # Only execute mode is allowed to have -dlopen flags.
   if test -n "$execute_dlfiles" && test "$mode" != execute; then
-    func_error "unrecognized option \`-dlopen'"
+    func_error "unrecognized option \"-dlopen\""
     $ECHO "$help" 1>&2
     exit $EXIT_FAILURE
   fi
 
   # Change the help message to a mode-specific one.
   generic_help="$help"
-  help="Try \`$progname --help --mode=$mode' for more information."
+  help="Try \"$progname --help --mode=$mode\" for more information."
 }
 
 
@@ -619,7 +619,7 @@ func_infer_tag ()
 	# line option must be used.
 	if test -z "$tagname"; then
 	  func_echo "unable to infer tagged configuration"
-	  func_fatal_error "specify a tag with \`--tag'"
+	  func_fatal_error "specify a tag with \"--tag\""
 #	else
 #	  func_verbose "using $tagname tagged configuration"
 	fi
@@ -701,7 +701,7 @@ func_mode_compile ()
 	case $arg in
 	-o)
 	  test -n "$libobj" && \
-	    func_fatal_error "you cannot specify \`-o' more than once"
+	    func_fatal_error "you cannot specify \"-o\" more than once"
 	  arg_mode=target
 	  continue
 	  ;;
@@ -766,7 +766,7 @@ func_mode_compile ()
       func_fatal_error "you must specify an argument for -Xcompile"
       ;;
     target)
-      func_fatal_error "you must specify a target with \`-o'"
+      func_fatal_error "you must specify a target with \"-o\""
       ;;
     *)
       # Get the name of the library object.
@@ -792,7 +792,7 @@ func_mode_compile ()
     case $libobj in
     *.lo) func_lo2o "$libobj"; obj=$func_lo2o_result ;;
     *)
-      func_fatal_error "cannot determine name of library object from \`$libobj'"
+      func_fatal_error "cannot determine name of library object from \"$libobj\""
       ;;
     esac
 
@@ -828,7 +828,7 @@ func_mode_compile ()
     func_quote_for_eval "$libobj"
     test "X$libobj" != "X$func_quote_for_eval_result" \
       && $ECHO "X$libobj" | $GREP '[@:>@~#^*{};<>?"'"'"'	 &()|`$@<:@]' \
-      && func_warning "libobj name \`$libobj' may not contain shell special characters."
+      && func_warning "libobj name \"$libobj\" may not contain shell special characters."
     func_dirname_and_basename "$obj" "/" ""
     objname="$func_basename_result"
     xdir="$func_dirname_result"
@@ -1035,7 +1035,7 @@ func_mode_help ()
 Remove files from the build directory.
 
 RM is the name of the program to use to delete files associated with each FILE
-(typically \`/bin/rm').  RM-OPTIONS are options (such as \`-f') to be passed
+(typically \"/bin/rm\").  RM-OPTIONS are options (such as \"-f\") to be passed
 to RM.
 
 If FILE is a libtool library, object or program, all the files associated
@@ -1054,16 +1054,16 @@ This mode accepts the following additional options:
   -no-suppress      do not suppress compiler output for multiple passes
   -prefer-pic       try to building PIC objects only
   -prefer-non-pic   try to building non-PIC objects only
-  -shared           do not build a \`.o' file suitable for static linking
-  -static           only build a \`.o' file suitable for static linking
+  -shared           do not build a \".o\" file suitable for static linking
+  -static           only build a \".o\" file suitable for static linking
   -Wc,FLAG          pass FLAG directly to the compiler
 
-COMPILE-COMMAND is a command to be used in creating a \`standard' object file
+COMPILE-COMMAND is a command to be used in creating a \"standard\" object file
 from the given SOURCEFILE.
 
 The output file name is determined by removing the directory component from
-SOURCEFILE, then substituting the C source code suffix \`.c' with the
-library object suffix, \`.lo'."
+SOURCEFILE, then substituting the C source code suffix \".c\" with the
+library object suffix, \".lo\"."
         ;;
 
       execute)
@@ -1076,7 +1076,7 @@ This mode accepts the following additional options:
 
   -dlopen FILE      add the directory containing FILE to the library path
 
-This mode sets the library path environment variable according to \`-dlopen'
+This mode sets the library path environment variable according to \"-dlopen\"
 flags.
 
 If any of the ARGS are libtool executable wrappers, then they are translated
@@ -1095,7 +1095,7 @@ Complete the installation of libtool libraries.
 Each LIBDIR is a directory that contains libtool libraries.
 
 The commands that this mode executes may require superuser privileges.  Use
-the \`--dry-run' option if you just want to see what would be executed."
+the \"--dry-run\" option if you just want to see what would be executed."
         ;;
 
       install)
@@ -1105,7 +1105,7 @@ the \`--dry-run' option if you just want to see what would be executed."
 Install executables or libraries.
 
 INSTALL-COMMAND is the installation command.  The first component should be
-either the \`install' or \`cp' program.
+either the \"install\" or \"cp\" program.
 
 The following components of INSTALL-COMMAND are treated specially:
 
@@ -1131,7 +1131,7 @@ The following components of LINK-COMMAND are treated specially:
   -avoid-version    do not add a version suffix if possible
   -bindir BINDIR    specify path to binaries directory (for systems where
                     libraries must be found in the PATH setting at runtime)
-  -dlopen FILE      \`-dlpreopen' FILE if it cannot be dlopened at runtime
+  -dlopen FILE      \"-dlpreopen\" FILE if it cannot be dlopened at runtime
   -dlpreopen FILE   link in FILE and add its symbols to lt_preloaded_symbols
   -export-dynamic   allow symbols from OUTPUT-FILE to be resolved with dlsym(3)
   -export-symbols SYMFILE
@@ -1165,20 +1165,20 @@ The following components of LINK-COMMAND are treated specially:
   -Xlinker FLAG     pass linker-specific FLAG directly to the linker
   -XCClinker FLAG   pass link-specific FLAG to the compiler driver (CC)
 
-All other options (arguments beginning with \`-') are ignored.
+All other options (arguments beginning with \"-\") are ignored.
 
-Every other argument is treated as a filename.  Files ending in \`.la' are
+Every other argument is treated as a filename.  Files ending in \".la\" are
 treated as uninstalled libtool libraries, other files are standard or library
 object files.
 
-If the OUTPUT-FILE ends in \`.la', then a libtool library is created,
-only library objects (\`.lo' files) may be specified, and \`-rpath' is
+If the OUTPUT-FILE ends in \".la\", then a libtool library is created,
+only library objects (\".lo\" files) may be specified, and \"-rpath\" is
 required, except when creating a convenience library.
 
-If OUTPUT-FILE ends in \`.a' or \`.lib', then a standard library is created
-using \`ar' and \`ranlib', or on Windows using \`lib'.
+If OUTPUT-FILE ends in \".a\" or \".lib\", then a standard library is created
+using \"ar\" and \"ranlib\", or on Windows using \"lib\".
 
-If OUTPUT-FILE ends in \`.lo' or \`.${objext}', then a reloadable object file
+If OUTPUT-FILE ends in \".lo\" or \".${objext}\", then a reloadable object file
 is created, otherwise an executable program is created."
         ;;
 
@@ -1189,7 +1189,7 @@ is created, otherwise an executable program is created."
 Remove libraries from an installation directory.
 
 RM is the name of the program to use to delete files associated with each FILE
-(typically \`/bin/rm').  RM-OPTIONS are options (such as \`-f') to be passed
+(typically \"/bin/rm\").  RM-OPTIONS are options (such as \"-f\") to be passed
 to RM.
 
 If FILE is a libtool library, all the files associated with it are deleted.
@@ -1197,12 +1197,12 @@ Otherwise, only FILE itself is deleted using RM."
         ;;
 
       *)
-        func_fatal_help "invalid operation mode \`$mode'"
+        func_fatal_help "invalid operation mode \"$mode\""
         ;;
     esac
 
     echo
-    $ECHO "Try \`$progname --help' for more information about other modes."
+    $ECHO "Try \"$progname --help\" for more information about other modes."
 }
 
 # Now that we've collected a possible --mode arg, show help if necessary
@@ -1249,14 +1249,14 @@ func_mode_execute ()
     # Handle -dlopen flags immediately.
     for file in $execute_dlfiles; do
       test -f "$file" \
-	|| func_fatal_help "\`$file' is not a file"
+	|| func_fatal_help "\"$file\" is not a file"
 
       dir=
       case $file in
       *.la)
 	# Check to see that this really is a libtool archive.
 	func_lalib_unsafe_p "$file" \
-	  || func_fatal_help "\`$lib' is not a valid libtool archive"
+	  || func_fatal_help "\"$lib\" is not a valid libtool archive"
 
 	# Read the libtool library.
 	dlname=
@@ -1267,7 +1267,7 @@ func_mode_execute ()
 	if test -z "$dlname"; then
 	  # Warn if it was a shared library.
 	  test -n "$library_names" && \
-	    func_warning "\`$file' was not linked with \`-export-dynamic'"
+	    func_warning "\"$file\" was not linked with \"-export-dynamic\""
 	  continue
 	fi
 
@@ -1278,7 +1278,7 @@ func_mode_execute ()
 	  dir="$dir/$objdir"
 	else
 	  if test ! -f "$dir/$dlname"; then
-	    func_fatal_error "cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'"
+	    func_fatal_error "cannot find \"$dlname\" in \"$dir\" or \"$dir/$objdir\""
 	  fi
 	fi
 	;;
@@ -1290,7 +1290,7 @@ func_mode_execute ()
 	;;
 
       *)
-	func_warning "\`-dlopen' is ignored for non-libtool libraries and objects"
+	func_warning "\"-dlopen\" is ignored for non-libtool libraries and objects"
 	continue
 	;;
       esac
@@ -1407,27 +1407,27 @@ func_mode_finish ()
     echo
     echo "If you ever happen to want to link against installed libraries"
     echo "in a given directory, LIBDIR, you must either use libtool, and"
-    echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
+    echo "specify the full pathname of the library, or use the \"-LLIBDIR\""
     echo "flag during linking and do at least one of the following:"
     if test -n "$shlibpath_var"; then
-      echo "   - add LIBDIR to the \`$shlibpath_var' environment variable"
+      echo "   - add LIBDIR to the \"$shlibpath_var\" environment variable"
       echo "     during execution"
     fi
     if test -n "$runpath_var"; then
-      echo "   - add LIBDIR to the \`$runpath_var' environment variable"
+      echo "   - add LIBDIR to the \"$runpath_var\" environment variable"
       echo "     during linking"
     fi
     if test -n "$hardcode_libdir_flag_spec"; then
       libdir=LIBDIR
       eval flag=\"$hardcode_libdir_flag_spec\"
 
-      $ECHO "   - use the \`$flag' linker flag"
+      $ECHO "   - use the \"$flag\" linker flag"
     fi
     if test -n "$admincmds"; then
       $ECHO "   - have your system administrator run these commands:$admincmds"
     fi
     if test -f /etc/ld.so.conf; then
-      echo "   - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
+      echo "   - have your system administrator add LIBDIR to \"/etc/ld.so.conf\""
     fi
     echo
 
@@ -1539,7 +1539,7 @@ func_mode_install ()
       func_fatal_help "you must specify an install program"
 
     test -n "$prev" && \
-      func_fatal_help "the \`$prev' option requires an argument"
+      func_fatal_help "the \"$prev\" option requires an argument"
 
     if test -n "$install_override_mode" && $no_mode; then
       if $install_cp; then :; else
@@ -1573,7 +1573,7 @@ func_mode_install ()
       # Not a directory, so check to see that there is only one file specified.
       set dummy $files; shift
       test "$#" -gt 1 && \
-	func_fatal_help "\`$dest' is not a directory"
+	func_fatal_help "\"$dest\" is not a directory"
     fi
     case $destdir in
     [\\/]* | [A-Za-z]:[\\/]*) ;;
@@ -1582,7 +1582,7 @@ func_mode_install ()
 	case $file in
 	*.lo) ;;
 	*)
-	  func_fatal_help "\`$destdir' must be an absolute directory name"
+	  func_fatal_help "\"$destdir\" must be an absolute directory name"
 	  ;;
 	esac
       done
@@ -1608,7 +1608,7 @@ func_mode_install ()
       *.la)
 	# Check to see that this really is a libtool archive.
 	func_lalib_unsafe_p "$file" \
-	  || func_fatal_help "\`$file' is not a valid libtool archive"
+	  || func_fatal_help "\"$file\" is not a valid libtool archive"
 
 	library_names=
 	old_library=
@@ -1644,7 +1644,7 @@ func_mode_install ()
 	  # are installed into $libdir/../bin (currently, that works fine)
 	  # but it's something to keep an eye on.
 	  test "$inst_prefix_dir" = "$destdir" && \
-	    func_fatal_error "error: cannot install \`$file' to a directory not ending in $libdir"
+	    func_fatal_error "error: cannot install \"$file\" to a directory not ending in $libdir"
 
 	  if test -n "$inst_prefix_dir"; then
 	    # Stick the inst_prefix_dir data into the link command.
@@ -1653,7 +1653,7 @@ func_mode_install ()
 	    relink_command=`$ECHO "$relink_command" | $SED "s%@inst_prefix_dir@%%"`
 	  fi
 
-	  func_warning "relinking \`$file'"
+	  func_warning "relinking \"$file\""
 	  func_show_eval "$relink_command" \
 	    'func_fatal_error "error: relink \`$file'\'' with the above command before installing it"'
 	fi
@@ -1734,7 +1734,7 @@ func_mode_install ()
 	  destfile=
 	  ;;
 	*)
-	  func_fatal_help "cannot copy a libtool object to \`$destfile'"
+	  func_fatal_help "cannot copy a libtool object to \"$destfile\""
 	  ;;
 	esac
 
@@ -1799,7 +1799,7 @@ func_mode_install ()
 
 	  # Check the variables that should have been set.
 	  test -z "$generated_by_libtool_version" && \
-	    func_fatal_error "invalid libtool wrapper script \`$wrapper'"
+	    func_fatal_error "invalid libtool wrapper script \"$wrapper\""
 
 	  finalize=yes
 	  for lib in $notinst_deplibs; do
@@ -1810,7 +1810,7 @@ func_mode_install ()
 	    fi
 	    libfile="$libdir/"`$ECHO "$lib" | $SED 's%^.*/%%g'` ### testsuite: skip nested quoting test
 	    if test -n "$libdir" && test ! -f "$libfile"; then
-	      func_warning "\`$lib' has not been installed in \`$libdir'"
+	      func_warning "\"$lib\" has not been installed in \"$libdir\""
 	      finalize=no
 	    fi
 	  done
@@ -1835,13 +1835,13 @@ func_mode_install ()
 	        }
 	        if eval "$relink_command"; then :
 	          else
-		  func_error "error: relink \`$file' with the above command before installing it"
+		  func_error "error: relink \"$file\" with the above command before installing it"
 		  $opt_dry_run || ${RM}r "$tmpdir"
 		  continue
 	        fi
 	        file="$outputname"
 	      else
-	        func_warning "cannot relink \`$file'"
+	        func_warning "cannot relink \"$file\""
 	      fi
 	    }
 	  else
@@ -1894,7 +1894,7 @@ func_mode_install ()
     done
 
     test -n "$future_libdirs" && \
-      func_warning "remember to run \`$progname --finish$future_libdirs'"
+      func_warning "remember to run \"$progname --finish$future_libdirs\""
 
     if test -n "$current_libdirs"; then
       # Maybe just do a dry run.
@@ -1956,14 +1956,14 @@ extern \"C\" {
 "
 
 	if test "$dlself" = yes; then
-	  func_verbose "generating symbol list for \`$output'"
+	  func_verbose "generating symbol list for \"$output\""
 
 	  $opt_dry_run || echo ': @PROGRAM@ ' > "$nlist"
 
 	  # Add our own program objects to the symbol list.
 	  progfiles=`$ECHO "$objs$old_deplibs" | $SP2NL | $SED "$lo2o" | $NL2SP`
 	  for progfile in $progfiles; do
-	    func_verbose "extracting global C symbols from \`$progfile'"
+	    func_verbose "extracting global C symbols from \"$progfile\""
 	    $opt_dry_run || eval "$NM $progfile | $global_symbol_pipe >> '$nlist'"
 	  done
 
@@ -2010,7 +2010,7 @@ extern \"C\" {
 	fi
 
 	for dlprefile in $dlprefiles; do
-	  func_verbose "extracting global C symbols from \`$dlprefile'"
+	  func_verbose "extracting global C symbols from \"$dlprefile\""
 	  func_basename "$dlprefile"
 	  name="$func_basename_result"
 	  $opt_dry_run || {
@@ -2158,7 +2158,7 @@ static const void *lt_preloaded_setup() {
 	esac
 	;;
       *)
-	func_fatal_error "unknown suffix for \`$my_dlsyms'"
+	func_fatal_error "unknown suffix for \"$my_dlsyms\""
 	;;
       esac
     else
@@ -2609,7 +2609,7 @@ func_to_host_path ()
         esac
         if test -z "$func_to_host_path_result" ; then
           func_error "Could not determine host path corresponding to"
-          func_error "  \`$1'"
+          func_error "  \"$1\""
           func_error "Continuing, but uninstalled executables may not work."
           # Fallback:
           func_to_host_path_result="$1"
@@ -2685,7 +2685,7 @@ func_to_host_pathlist ()
         esac
         if test -z "$func_to_host_pathlist_result"; then
           func_error "Could not determine the host path(s) corresponding to"
-          func_error "  \`$1'"
+          func_error "  \"$1\""
           func_error "Continuing, but uninstalled executables may not work."
           # Fallback. This may break if $1 contains DOS-style drive
           # specifications. The fix is not to complicate the expression
@@ -3806,7 +3806,7 @@ func_mode_link ()
 	expsyms)
 	  export_symbols="$arg"
 	  test -f "$arg" \
-	    || func_fatal_error "symbol file \`$arg' does not exist"
+	    || func_fatal_error "symbol file \"$arg\" does not exist"
 	  prev=
 	  continue
 	  ;;
@@ -3855,7 +3855,7 @@ func_mode_link ()
 		   test -z "$non_pic_object" ||
 		   test "$pic_object" = none &&
 		   test "$non_pic_object" = none; then
-		  func_fatal_error "cannot find name of object for \`$arg'"
+		  func_fatal_error "cannot find name of object for \"$arg\""
 		fi
 
 		# Extract subdirectory from the argument.
@@ -3918,12 +3918,12 @@ func_mode_link ()
 		  func_append libobjs " $pic_object"
 		  func_append non_pic_objects " $non_pic_object"
 	        else
-		  func_fatal_error "\`$arg' is not a valid libtool object"
+		  func_fatal_error "\"$arg\" is not a valid libtool object"
 		fi
 	      fi
 	    done
 	  else
-	    func_fatal_error "link input file \`$arg' does not exist"
+	    func_fatal_error "link input file \"$arg\" does not exist"
 	  fi
 	  arg=$save_arg
 	  prev=
@@ -4016,7 +4016,7 @@ func_mode_link ()
 
       -allow-undefined)
 	# FIXME: remove this flag sometime in the future.
-	func_fatal_error "\`-allow-undefined' must not be used because it is the default"
+	func_fatal_error "\"-allow-undefined\" must not be used because it is the default"
 	;;
 
       -avoid-version)
@@ -4083,9 +4083,9 @@ func_mode_link ()
 	dir=$func_stripname_result
 	if test -z "$dir"; then
 	  if test "$#" -gt 0; then
-	    func_fatal_error "require no space between \`-L' and \`$1'"
+	    func_fatal_error "require no space between \"-L\" and \"$1\""
 	  else
-	    func_fatal_error "need path for \`-L' option"
+	    func_fatal_error "need path for \"-L\" option"
 	  fi
 	fi
 	# We need an absolute path.
@@ -4094,7 +4094,7 @@ func_mode_link ()
 	*)
 	  absdir=`cd "$dir" && pwd`
 	  test -z "$absdir" && \
-	    func_fatal_error "cannot determine absolute directory name of \`$dir'"
+	    func_fatal_error "cannot determine absolute directory name of \"$dir\""
 	  dir="$absdir"
 	  ;;
 	esac
@@ -4206,8 +4206,8 @@ func_mode_link ()
 	*-*-cygwin* | *-*-mingw* | *-*-pw32* | *-*-os2* | *-*-darwin* | *-cegcc*)
 	  # The PATH hackery in wrapper scripts is required on Windows
 	  # and Darwin in order for the loader to find any dlls it needs.
-	  func_warning "\`-no-install' is ignored for $host"
-	  func_warning "assuming \`-no-fast-install' instead"
+	  func_warning "\"-no-install\" is ignored for $host"
+	  func_warning "assuming \"-no-fast-install\" instead"
 	  fast_install=no
 	  ;;
 	*) no_install=yes ;;
@@ -4405,7 +4405,7 @@ func_mode_link ()
 	     test -z "$non_pic_object" ||
 	     test "$pic_object" = none &&
 	     test "$non_pic_object" = none; then
-	    func_fatal_error "cannot find name of object for \`$arg'"
+	    func_fatal_error "cannot find name of object for \"$arg\""
 	  fi
 
 	  # Extract subdirectory from the argument.
@@ -4468,7 +4468,7 @@ func_mode_link ()
 	    func_append libobjs " $pic_object"
 	    func_append non_pic_objects " $non_pic_object"
 	  else
-	    func_fatal_error "\`$arg' is not a valid libtool object"
+	    func_fatal_error "\"$arg\" is not a valid libtool object"
 	  fi
 	fi
 	;;
@@ -4514,7 +4514,7 @@ func_mode_link ()
     done # argument parsing loop
 
     test -n "$prev" && \
-      func_fatal_help "the \`$prevarg' option requires an argument"
+      func_fatal_help "the \"$prevarg\" option requires an argument"
 
     if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then
       eval arg=\"$export_dynamic_flag_spec\"
@@ -4599,7 +4599,7 @@ func_mode_link ()
 	  case $file in
 	  *.la) ;;
 	  *)
-	    func_fatal_help "libraries can \`-dlopen' only libtool libraries: $file"
+	    func_fatal_help "libraries can \"-dlopen\" only libtool libraries: $file"
 	    ;;
 	  esac
 	done
@@ -4690,7 +4690,7 @@ func_mode_link ()
 	  ;;
 	-l*)
 	  if test "$linkmode" != lib && test "$linkmode" != prog; then
-	    func_warning "\`-l' is ignored for archives/objects"
+	    func_warning "\"-l\" is ignored for archives/objects"
 	    continue
 	  fi
 	  func_stripname '-l' '' "$deplib"
@@ -4797,7 +4797,7 @@ func_mode_link ()
 	    newlib_search_path="$newlib_search_path $func_stripname_result"
 	    ;;
 	  *)
-	    func_warning "\`-L' is ignored for archives/objects"
+	    func_warning "\"-L\" is ignored for archives/objects"
 	    ;;
 	  esac # linkmode
 	  continue
@@ -4895,12 +4895,12 @@ func_mode_link ()
 
 	if test "$found" = yes || test -f "$lib"; then :
 	else
-	  func_fatal_error "cannot find the library \`$lib' or unhandled argument \`$deplib'"
+	  func_fatal_error "cannot find the library \"$lib\" or unhandled argument \"$deplib\""
 	fi
 
 	# Check to see that this really is a libtool archive.
 	func_lalib_unsafe_p "$lib" \
-	  || func_fatal_error "\`$lib' is not a valid libtool archive"
+	  || func_fatal_error "\"$lib\" is not a valid libtool archive"
 
 	func_dirname "$lib" "" "."
 	ladir="$func_dirname_result"
@@ -4945,13 +4945,13 @@ func_mode_link ()
 	  deplibs="$lib $deplibs"
 	  if test -z "$libdir"; then
 	    if test -z "$old_library"; then
-	      func_fatal_error "cannot find name of link library for \`$lib'"
+	      func_fatal_error "cannot find name of link library for \"$lib\""
 	    fi
 	    # It is a libtool convenience library, so add in its objects.
 	    convenience="$convenience $ladir/$objdir/$old_library"
 	    old_convenience="$old_convenience $ladir/$objdir/$old_library"
 	  elif test "$linkmode" != prog && test "$linkmode" != lib; then
-	    func_fatal_error "\`$lib' is not a convenience library"
+	    func_fatal_error "\"$lib\" is not a convenience library"
 	  fi
 	  tmp_libs=
 	  for deplib in $dependency_libs; do
@@ -4973,13 +4973,13 @@ func_mode_link ()
 	  linklib="$l"
 	done
 	if test -z "$linklib"; then
-	  func_fatal_error "cannot find name of link library for \`$lib'"
+	  func_fatal_error "cannot find name of link library for \"$lib\""
 	fi
 
 	# This library was specified with -dlopen.
 	if test "$pass" = dlopen; then
 	  if test -z "$libdir"; then
-	    func_fatal_error "cannot -dlopen a convenience library: \`$lib'"
+	    func_fatal_error "cannot -dlopen a convenience library: \"$lib\""
 	  fi
 	  if test -z "$dlname" ||
 	     test "$dlopen_support" != yes ||
@@ -5001,7 +5001,7 @@ func_mode_link ()
 	*)
 	  abs_ladir=`cd "$ladir" && pwd`
 	  if test -z "$abs_ladir"; then
-	    func_warning "cannot determine absolute directory name of \`$ladir'"
+	    func_warning "cannot determine absolute directory name of \"$ladir\""
 	    func_warning "passing it literally to the linker, although it might fail"
 	    abs_ladir="$ladir"
 	  fi
@@ -5013,7 +5013,7 @@ func_mode_link ()
 	# Find the relevant object directory and library name.
 	if test "X$installed" = Xyes; then
 	  if test ! -f "$libdir/$linklib" && test -f "$abs_ladir/$linklib"; then
-	    func_warning "library \`$lib' was moved."
+	    func_warning "library \"$lib\" was moved."
 	    dir="$ladir"
 	    absdir="$abs_ladir"
 	    libdir="$abs_ladir"
@@ -5041,7 +5041,7 @@ func_mode_link ()
 	# This library was specified with -dlpreopen.
 	if test "$pass" = dlpreopen; then
 	  if test -z "$libdir" && test "$linkmode" = prog; then
-	    func_fatal_error "only libraries may -dlpreopen a convenience library: \`$lib'"
+	    func_fatal_error "only libraries may -dlpreopen a convenience library: \"$lib\""
 	  fi
 	  # Prefer using a static library (so that no silly _DYNAMIC symbols
 	  # are required to link).
@@ -5253,13 +5253,13 @@ func_mode_link ()
 	    # If the library has no export list, then create one now
 	    if test -f "$output_objdir/$soname-def"; then :
 	    else
-	      func_verbose "extracting exported symbol list from \`$soname'"
+	      func_verbose "extracting exported symbol list from \"$soname\""
 	      func_execute_cmds "$extract_expsyms_cmds" 'exit $?'
 	    fi
 
 	    # Create $newlib
 	    if test -f "$output_objdir/$newlib"; then :; else
-	      func_verbose "generating import library for \`$soname'"
+	      func_verbose "generating import library for \"$soname\""
 	      func_execute_cmds "$old_archive_from_expsyms_cmds" 'exit $?'
 	    fi
 	    # make sure the library variables are pointing to the new library
@@ -5443,9 +5443,9 @@ func_mode_link ()
 	      if test -z "$global_symbol_pipe"; then
 		echo
 		echo "*** However, this would only work if libtool was able to extract symbol"
-		echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
+		echo "*** lists from a program, using \"nm\" or equivalent, but libtool could"
 		echo "*** not find such a program.  So, this module is probably useless."
-		echo "*** \`nm' from GNU binutils and a full rebuild may help."
+		echo "*** \"nm\" from GNU binutils and a full rebuild may help."
 	      fi
 	      if test "$build_old_libs" = no; then
 		build_libtool_libs=module
@@ -5511,7 +5511,7 @@ func_mode_link ()
 		*)
 		  absdir=`cd "$dir" && pwd`
 		  if test -z "$absdir"; then
-		    func_warning "cannot determine absolute directory name of \`$dir'"
+		    func_warning "cannot determine absolute directory name of \"$dir\""
 		    absdir="$dir"
 		  fi
 		  ;;
@@ -5544,9 +5544,9 @@ func_mode_link ()
 		else
 		  eval libdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $deplib`
 		  test -z "$libdir" && \
-		    func_fatal_error "\`$deplib' is not a valid libtool archive"
+		    func_fatal_error "\"$deplib\" is not a valid libtool archive"
 		  test "$absdir" != "$libdir" && \
-		    func_warning "\`$deplib' seems to be moved"
+		    func_warning "\"$deplib\" seems to be moved"
 
 		  path="-L$absdir"
 		fi
@@ -5674,28 +5674,28 @@ func_mode_link ()
     case $linkmode in
     oldlib)
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
-	func_warning "\`-dlopen' is ignored for archives"
+	func_warning "\"-dlopen\" is ignored for archives"
       fi
 
       case " $deplibs" in
       *\ -l* | *\ -L*)
-	func_warning "\`-l' and \`-L' are ignored for archives" ;;
+	func_warning "\"-l\" and \"-L\" are ignored for archives" ;;
       esac
 
       test -n "$rpath" && \
-	func_warning "\`-rpath' is ignored for archives"
+	func_warning "\"-rpath\" is ignored for archives"
 
       test -n "$xrpath" && \
-	func_warning "\`-R' is ignored for archives"
+	func_warning "\"-R\" is ignored for archives"
 
       test -n "$vinfo" && \
-	func_warning "\`-version-info/-version-number' is ignored for archives"
+	func_warning "\"-version-info/-version-number\" is ignored for archives"
 
       test -n "$release" && \
-	func_warning "\`-release' is ignored for archives"
+	func_warning "\"-release\" is ignored for archives"
 
       test -n "$export_symbols$export_symbols_regex" && \
-	func_warning "\`-export-symbols' is ignored for archives"
+	func_warning "\"-export-symbols\" is ignored for archives"
 
       # Now set the variables for building old libraries.
       build_libtool_libs=no
@@ -5714,7 +5714,7 @@ func_mode_link ()
 	;;
       *)
 	test "$module" = no && \
-	  func_fatal_help "libtool library \`$output' must begin with \`lib'"
+	  func_fatal_help "libtool library \"$output\" must begin with \"lib\""
 
 	if test "$need_lib_prefix" != no; then
 	  # Add the "lib" prefix for modules if required
@@ -5731,7 +5731,7 @@ func_mode_link ()
 
       if test -n "$objs"; then
 	if test "$deplibs_check_method" != pass_all; then
-	  func_fatal_error "cannot build libtool library \`$output' from non-libtool objects on this host:$objs"
+	  func_fatal_error "cannot build libtool library \"$output\" from non-libtool objects on this host:$objs"
 	else
 	  echo
 	  $ECHO "*** Warning: Linking the shared library $output against the non-libtool"
@@ -5741,12 +5741,12 @@ func_mode_link ()
       fi
 
       test "$dlself" != no && \
-	func_warning "\`-dlopen self' is ignored for libtool libraries"
+	func_warning "\"-dlopen self\" is ignored for libtool libraries"
 
       set dummy $rpath
       shift
       test "$#" -gt 1 && \
-	func_warning "ignoring multiple \`-rpath's for a libtool library"
+	func_warning "ignoring multiple \"-rpath\"s for a libtool library"
 
       install_libdir="$1"
 
@@ -5763,10 +5763,10 @@ func_mode_link ()
 	fi
 
 	test -n "$vinfo" && \
-	  func_warning "\`-version-info/-version-number' is ignored for convenience libraries"
+	  func_warning "\"-version-info/-version-number\" is ignored for convenience libraries"
 
 	test -n "$release" && \
-	  func_warning "\`-release' is ignored for convenience libraries"
+	  func_warning "\"-release\" is ignored for convenience libraries"
       else
 
 	# Parse the version information argument.
@@ -5776,7 +5776,7 @@ func_mode_link ()
 	IFS="$save_ifs"
 
 	test -n "$7" && \
-	  func_fatal_help "too many parameters to \`-version-info'"
+	  func_fatal_help "too many parameters to \"-version-info\""
 
 	# convert absolute version numbers to libtool ages
 	# this retains compatibility with .la files and attempts
@@ -5826,30 +5826,30 @@ func_mode_link ()
 	case $current in
 	0|[1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|[1-9][0-9][0-9][0-9][0-9]) ;;
 	*)
-	  func_error "CURRENT \`$current' must be a nonnegative integer"
-	  func_fatal_error "\`$vinfo' is not valid version information"
+	  func_error "CURRENT \"$current\" must be a nonnegative integer"
+	  func_fatal_error "\"$vinfo\" is not valid version information"
 	  ;;
 	esac
 
 	case $revision in
 	0|[1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|[1-9][0-9][0-9][0-9][0-9]) ;;
 	*)
-	  func_error "REVISION \`$revision' must be a nonnegative integer"
-	  func_fatal_error "\`$vinfo' is not valid version information"
+	  func_error "REVISION \"$revision\" must be a nonnegative integer"
+	  func_fatal_error "\"$vinfo\" is not valid version information"
 	  ;;
 	esac
 
 	case $age in
 	0|[1-9]|[1-9][0-9]|[1-9][0-9][0-9]|[1-9][0-9][0-9][0-9]|[1-9][0-9][0-9][0-9][0-9]) ;;
 	*)
-	  func_error "AGE \`$age' must be a nonnegative integer"
-	  func_fatal_error "\`$vinfo' is not valid version information"
+	  func_error "AGE \"$age\" must be a nonnegative integer"
+	  func_fatal_error "\"$vinfo\" is not valid version information"
 	  ;;
 	esac
 
 	if test "$age" -gt "$current"; then
-	  func_error "AGE \`$age' is greater than the current interface number \`$current'"
-	  func_fatal_error "\`$vinfo' is not valid version information"
+	  func_error "AGE \"$age\" is greater than the current interface number \"$current\""
+	  func_fatal_error "\"$vinfo\" is not valid version information"
 	fi
 
 	# Calculate the version variables.
@@ -5956,7 +5956,7 @@ func_mode_link ()
 	  ;;
 
 	*)
-	  func_fatal_configuration "unknown library version type \`$version_type'"
+	  func_fatal_configuration "unknown library version type \"$version_type\""
 	  ;;
 	esac
 
@@ -6408,9 +6408,9 @@ EOF
 	    if test -z "$global_symbol_pipe"; then
 	      echo
 	      echo "*** However, this would only work if libtool was able to extract symbol"
-	      echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
+	      echo "*** lists from a program, using \"nm\" or equivalent, but libtool could"
 	      echo "*** not find such a program.  So, this module is probably useless."
-	      echo "*** \`nm' from GNU binutils and a full rebuild may help."
+	      echo "*** \"nm\" from GNU binutils and a full rebuild may help."
 	    fi
 	    if test "$build_old_libs" = no; then
 	      oldlibs="$output_objdir/$libname.$libext"
@@ -6603,7 +6603,7 @@ EOF
 	# Prepare the list of exported symbols
 	if test -z "$export_symbols"; then
 	  if test "$always_export_symbols" = yes || test -n "$export_symbols_regex"; then
-	    func_verbose "generating symbol list for \`$libname.la'"
+	    func_verbose "generating symbol list for \"$libname.la\""
 	    export_symbols="$output_objdir/$libname.exp"
 	    $opt_dry_run || $RM $export_symbols
 	    cmds=$export_symbols_cmds
@@ -6641,7 +6641,7 @@ EOF
 
 	if test "X$skipped_export" != "X:" && test -n "$orig_export_symbols"; then
 	  # The given exports_symbols file has to be filtered, so filter it.
-	  func_verbose "filter symbol list for \`$libname.la' to tag DATA exports"
+	  func_verbose "filter symbol list for \"$libname.la\" to tag DATA exports"
 	  # FIXME: $output_objdir/$libname.filter potentially contains lots of
 	  # 's' commands which not all seds can handle. GNU sed should be fine
 	  # though. Also, the filter scales superlinearly with the number of
@@ -6832,7 +6832,7 @@ EOF
 	    fi
 
 	    if ${skipped_export-false}; then
-	      func_verbose "generating symbol list for \`$libname.la'"
+	      func_verbose "generating symbol list for \"$libname.la\""
 	      export_symbols="$output_objdir/$libname.exp"
 	      $opt_dry_run || $RM $export_symbols
 	      libobjs=$output
@@ -6885,7 +6885,7 @@ EOF
 
 	    if test -n "$orig_export_symbols"; then
 	      # The given exports_symbols file has to be filtered, so filter it.
-	      func_verbose "filter symbol list for \`$libname.la' to tag DATA exports"
+	      func_verbose "filter symbol list for \"$libname.la\" to tag DATA exports"
 	      # FIXME: $output_objdir/$libname.filter potentially contains lots of
 	      # 's' commands which not all seds can handle. GNU sed should be fine
 	      # though. Also, the filter scales superlinearly with the number of
@@ -6993,30 +6993,30 @@ EOF
 
     obj)
       if test -n "$dlfiles$dlprefiles" || test "$dlself" != no; then
-	func_warning "\`-dlopen' is ignored for objects"
+	func_warning "\"-dlopen\" is ignored for objects"
       fi
 
       case " $deplibs" in
       *\ -l* | *\ -L*)
-	func_warning "\`-l' and \`-L' are ignored for objects" ;;
+	func_warning "\"-l\" and \"-L\" are ignored for objects" ;;
       esac
 
       test -n "$rpath" && \
-	func_warning "\`-rpath' is ignored for objects"
+	func_warning "\"-rpath\" is ignored for objects"
 
       test -n "$xrpath" && \
-	func_warning "\`-R' is ignored for objects"
+	func_warning "\"-R\" is ignored for objects"
 
       test -n "$vinfo" && \
-	func_warning "\`-version-info' is ignored for objects"
+	func_warning "\"-version-info\" is ignored for objects"
 
       test -n "$release" && \
-	func_warning "\`-release' is ignored for objects"
+	func_warning "\"-release\" is ignored for objects"
 
       case $output in
       *.lo)
 	test -n "$objs$old_deplibs" && \
-	  func_fatal_error "cannot build library object \`$output' from non-libtool objects"
+	  func_fatal_error "cannot build library object \"$output\" from non-libtool objects"
 
 	libobj=$output
 	func_lo2o "$libobj"
@@ -7102,16 +7102,16 @@ EOF
 	          output=$func_stripname_result.exe;;
       esac
       test -n "$vinfo" && \
-	func_warning "\`-version-info' is ignored for programs"
+	func_warning "\"-version-info\" is ignored for programs"
 
       test -n "$release" && \
-	func_warning "\`-release' is ignored for programs"
+	func_warning "\"-release\" is ignored for programs"
 
       test "$preload" = yes \
         && test "$dlopen_support" = unknown \
 	&& test "$dlopen_self" = unknown \
 	&& test "$dlopen_self_static" = unknown && \
-	  func_warning "\`LT_INIT([dlopen])' not used. Assuming no dlopen support."
+	  func_warning "\"LT_INIT([dlopen])\" not used. Assuming no dlopen support."
 
       case $host in
       *-*-rhapsody* | *-*-darwin1.[012])
@@ -7363,7 +7363,7 @@ EOF
 	relink_command="$finalize_var$finalize_command$finalize_rpath"
 
 	func_warning "this platform does not like uninstalled shared libraries"
-	func_warning "\`$output' will be relinked during installation"
+	func_warning "\"$output\" will be relinked during installation"
       else
 	if test "$fast_install" != no; then
 	  link_command="$finalize_var$compile_command$finalize_rpath"
@@ -7658,7 +7658,7 @@ EOF
 		name="$func_basename_result"
 		eval libdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $deplib`
 		test -z "$libdir" && \
-		  func_fatal_error "\`$deplib' is not a valid libtool archive"
+		  func_fatal_error "\"$deplib\" is not a valid libtool archive"
 		newdependency_libs="$newdependency_libs $libdir/$name"
 		;;
 	      *) newdependency_libs="$newdependency_libs $deplib" ;;
@@ -7674,7 +7674,7 @@ EOF
 		name="$func_basename_result"
 		eval libdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $lib`
 		test -z "$libdir" && \
-		  func_fatal_error "\`$lib' is not a valid libtool archive"
+		  func_fatal_error "\"$lib\" is not a valid libtool archive"
 		newdlfiles="$newdlfiles $libdir/$name"
 		;;
 	      *) newdlfiles="$newdlfiles $lib" ;;
@@ -7693,7 +7693,7 @@ EOF
 		name="$func_basename_result"
 		eval libdir=`${SED} -n -e 's/^libdir=\(.*\)$/\1/p' $lib`
 		test -z "$libdir" && \
-		  func_fatal_error "\`$lib' is not a valid libtool archive"
+		  func_fatal_error "\"$lib\" is not a valid libtool archive"
 		newdlprefiles="$newdlprefiles $libdir/$name"
 		;;
 	      esac
@@ -7986,7 +7986,7 @@ test -z "$mode" && {
 }
 
 test -z "$exec_cmd" && \
-  func_fatal_help "invalid operation mode \`$mode'"
+  func_fatal_help "invalid operation mode \"$mode\""
 
 if test -n "$exec_cmd"; then
   eval exec "$exec_cmd"
diff --git a/libltdl/config/mailnotify.m4sh b/libltdl/config/mailnotify.m4sh
index a95f201..d4e683c 100644
--- a/libltdl/config/mailnotify.m4sh
+++ b/libltdl/config/mailnotify.m4sh
@@ -103,7 +103,7 @@ sed_mail_address='s,^.*<\(.*\)>.*$,\1,'
 
       -f|--filename)	test $# -eq 0 && func_missing_arg "$opt" && break
 			if test -f "$1"; then :; else
-			  func_error "\`$1' does not exist"
+			  func_error "\"$1\" does not exist"
 			  exit_cmd=exit
 			  break
 			fi
@@ -116,7 +116,7 @@ sed_mail_address='s,^.*<\(.*\)>.*$,\1,'
 			  text/*) ;;
 			  */*) func_error "only text/* mime-types supported"
 			       ;;
-			  *)   func_error "invalid mime-type, \`$1'"
+			  *)   func_error "invalid mime-type, \"$1\""
 			       exit_cmd=exit
 			       ;;
 			esac
@@ -170,7 +170,7 @@ sed_mail_address='s,^.*<\(.*\)>.*$,\1,'
       --help)		func_help					;;
       --version)	func_version					;;
       --)		break						;;
-      -*)		func_fatal_help "unrecognized option \`$opt'"	;;
+      -*)		func_fatal_help "unrecognized option \"$opt\""	;;
       *)		set -- "$opt" ${1+"$@"};      break		;;
     esac
   done
diff --git a/libltdl/m4/libtool.m4 b/libltdl/m4/libtool.m4
index cd8afce..4bedf77 100644
--- a/libltdl/m4/libtool.m4
+++ b/libltdl/m4/libtool.m4
@@ -614,7 +614,7 @@ exec AS_MESSAGE_LOG_FD>>config.log
 } >&AS_MESSAGE_LOG_FD
 
 lt_cl_help="\
-\`$as_me' creates a local libtool stub from the current configuration,
+\"$as_me\" creates a local libtool stub from the current configuration,
 for use in further configure time tests before the real libtool is
 generated.
 
@@ -649,10 +649,10 @@ do
       lt_cl_silent=: ;;
 
     -*) AC_MSG_ERROR([unrecognized option: $[1]
-Try \`$[0] --help' for more information.]) ;;
+Try \"$[0] --help\" for more information.]) ;;
 
     *) AC_MSG_ERROR([unrecognized argument: $[1]
-Try \`$[0] --help' for more information.]) ;;
+Try \"$[0] --help\" for more information.]) ;;
   esac
   shift
 done
diff --git a/libtoolize.m4sh b/libtoolize.m4sh
index bff700a..cfcd912 100644
--- a/libtoolize.m4sh
+++ b/libtoolize.m4sh
@@ -139,8 +139,8 @@ all_pkgltdl_files="COPYING.LIB Makefile Makefile.in Makefile.inc Makefile.am REA
       --quiet)		opt_quiet=:		;;
       --verbose)	opt_verbose=:		;;
 
-      --*)	func_warning "unrecognized environment option \`$opt'"    ;;
-      *)	func_fatal_help "garbled LIBTOOLIZE_OPTIONS near \`$opt'" ;;
+      --*)	func_warning "unrecognized environment option \"$opt\""    ;;
+      *)	func_fatal_help "garbled LIBTOOLIZE_OPTIONS near \"$opt\"" ;;
     esac
   done
 }
@@ -235,7 +235,7 @@ all_pkgltdl_files="COPYING.LIB Makefile Makefile.in Makefile.inc Makefile.am REA
       --help)		func_help					;;
       --version)	func_version					;;
       --)		break						;;
-      -*)		func_fatal_help "unrecognized option \`$opt'"	;;
+      -*)		func_fatal_help "unrecognized option \"$opt\""	;;
       *)		func_fatal_help "too many arguments"		;;
     esac
   done
@@ -267,7 +267,7 @@ func_copy ()
     $opt_debug
 
     test -f "$1" || \
-      { func_error "\`$1' not copied:  not a regular file"; return 1; }
+      { func_error "\"$1\" not copied:  not a regular file"; return 1; }
 
     func_dirname_and_basename "$1"
     my_f1=$func_basename_result
@@ -311,11 +311,11 @@ func_copy_cb ()
 
     # Libtool is probably misinstalled if this happens:
     test -f "$my_srcdir/$my_file" ||
-        func_fatal_error "\`$my_file' not found in \`$my_srcdir'"
+        func_fatal_error "\"$my_file\" not found in \"$my_srcdir\""
 
     case $opt_verbose in
-      false) my_copy_msg="file \`$my_destdir/$my_file'"     ;;
-      *)     my_copy_msg="file from \`$my_srcdir/$my_file'" ;;
+      false) my_copy_msg="file \"$my_destdir/$my_file\""     ;;
+      *)     my_copy_msg="file from \"$my_srcdir/$my_file\"" ;;
     esac
     func_mkdir_p `$ECHO "$my_destdir/$my_file" | $SED "$dirname"`
 
@@ -347,7 +347,7 @@ func_copy_cb ()
     fi
     if test "$copy_return_status" != 0; then
       $opt_quiet || func_echo_once "$my_msg_var"
-      func_error "can not copy \`$my_srcdir/$my_file' to \`$my_destdir/'"
+      func_error "can not copy \"$my_srcdir/$my_file\" to \"$my_destdir/\""
       exit_status=$EXIT_FAILURE
     fi
 }
@@ -375,13 +375,13 @@ func_copy_some_files ()
 	  $opt_force || if test -f "$my_destdir/$my_filename"; then
 	    $opt_quiet || func_echo_once "$my_msg_var"
 	    $opt_quiet \
-	      || func_error "\`$my_destdir/$my_filename' exists: use \`--force' to overwrite"
+	      || func_error "\"$my_destdir/$my_filename\" exists: use \"--force\" to overwrite"
 	    continue
 	  fi
         fi
       else
 	func_echo_once "$my_msg_var"
-	func_fatal_error "\`$my_filename' not found in \`$my_srcdir'"
+	func_fatal_error "\"$my_filename\" not found in \"$my_srcdir\""
       fi
 
       $my_copy_cb "$my_filename" "$my_srcdir" "$my_destdir" "$my_msg_var"
@@ -428,7 +428,7 @@ func_fixup_Makefile ()
     esac
 
     $RM "$my_destdir/$my_filename" 2>/dev/null
-    $opt_quiet || func_echo "creating file \`$my_destdir/$my_filename'"
+    $opt_quiet || func_echo "creating file \"$my_destdir/$my_filename\""
     if $opt_dry_run; then :;
     else
       $SED "$my_fixup_non_subpackage_script
@@ -746,7 +746,7 @@ func_serial_max ()
     func_serial_max_result=
 
     test "X$1$2" = X`$ECHO "$1$2" | $SED "$my_sed_digits"` || {
-      func_error "serial numbers \`$1' or \`$2' contain non-digit chars"
+      func_error "serial numbers \"$1\" or \"$2\" contain non-digit chars"
       return
     }
 
@@ -789,7 +789,7 @@ func_serial_update_check ()
 
     if test -f "$my_destfile"; then
       test "X$my_src_serial" = "X0" && {
-        func_warning "no serial number on \`$my_srcfile', not copying."
+        func_warning "no serial number on \"$my_srcfile\", not copying."
 	return
       }
 
@@ -798,12 +798,12 @@ func_serial_update_check ()
       test "X$my_src_serial" = "X$func_serial_max_result" || my_update_p=false
 
       test "X$my_src_serial" = "X$func_serial_max_result" \
-        && func_verbose "\`$my_srcfile' is serial $my_src_serial, greater than $my_dest_serial in \`$my_destfile'"
+        && func_verbose "\"$my_srcfile\" is serial $my_src_serial, greater than $my_dest_serial in \"$my_destfile\""
 
       if test "X$my_dest_serial" = "X$func_serial_max_result"; then
-        func_verbose "\`$my_srcfile' is serial $my_src_serial, less than $my_dest_serial in \`$my_destfile'"
+        func_verbose "\"$my_srcfile\" is serial $my_src_serial, less than $my_dest_serial in \"$my_destfile\""
 	$opt_force || if test -n "$ac_macrodir$ac_ltdldir"; then
-           func_error "\`$my_destfile' is newer: use \`--force' to overwrite"
+           func_error "\"$my_destfile\" is newer: use \"--force\" to overwrite"
         fi
       fi
     fi
@@ -870,7 +870,7 @@ func_serial_update ()
     my_srcfile="$my_srcdir/$my_filename"
     my_destfile="$my_destdir/$my_filename"
 
-    test -f "$my_srcfile" || func_fatal_error "\`$my_srcfile' does not exist."
+    test -f "$my_srcfile" || func_fatal_error "\"$my_srcfile\" does not exist."
 
     if test -f "$my_destfile"; then
       my_src_serial=`func_serial "$my_srcfile" "$my_macro_regex"`
@@ -895,7 +895,7 @@ func_serial_update ()
     elif $opt_force && test "X$my_dest_serial" = "X$my_src_serial"; then
       $opt_quiet || func_echo_once "$my_msg_var"
       $opt_quiet \
-        || func_echo "\`$my_destfile' is already up to date."
+        || func_echo "\"$my_destfile\" is already up to date."
     fi
 
     # Do this after the copy for hand maintained `aclocal.m4', incase
@@ -917,7 +917,7 @@ func_serial_update ()
               "$my_src_serial" `func_serial aclocal.m4 "$my_macro_regex"`
           if test "X$my_src_serial" = "X$func_serial_max_result"; then
               func_echo_once "$my_msg_var"
-	      func_echo "You should add the contents of \`$my_destfile' to \`aclocal.m4'."
+	      func_echo "You should add the contents of \"$my_destfile\" to \"aclocal.m4\"."
           fi
         fi
         ;;
@@ -945,12 +945,12 @@ func_keyword_update ()
 
     my_keyword_update_p=:
 
-    test -f "$my_srcfile" || func_fatal_error "\`$my_srcfile' does not exist."
+    test -f "$my_srcfile" || func_fatal_error "\"$my_srcfile\" does not exist."
 
     if test -f "$my_destfile"; then
       my_src_serial=`$SED -e "$my_sed_script" "$my_srcfile"`
       test -z "$my_src_serial" && {
-        func_warning "no serial number in \`$my_srcfile', not copying."
+        func_warning "no serial number in \"$my_srcfile\", not copying."
 	return
       }
 
@@ -966,7 +966,7 @@ func_keyword_update ()
       func_copy "$my_srcfile" "$my_destfile" "$my_msg_var"
     elif $opt_verbose || $opt_force && test "X$my_dest_serial" = "X$my_src_serial"; then
       func_echo_once "$my_msg_var"
-      func_echo "\`$my_destfile' is already up to date."
+      func_echo "\"$my_destfile\" is already up to date."
     fi
 }
 
@@ -1081,9 +1081,9 @@ func_install_pkgmacro_subproject ()
     # Copy all the files from installed libltdl to this project, if the
     # user specified a macrodir.
     $opt_quiet || if test "x$macrodir" != "x$subproject_macrodir"; then
-      pkgmacro_header="putting macros in \`$subproject_macrodir'."
+      pkgmacro_header="putting macros in \"$subproject_macrodir\"."
     elif test -n "$subproject_macrodir"; then
-      pkgmacro_header="putting macros in AC_CONFIG_MACRO_DIR, \`$subproject_macrodir'."
+      pkgmacro_header="putting macros in AC_CONFIG_MACRO_DIR, \"$subproject_macrodir\"."
     fi
 
     func_copy_some_files "argz.m4:libtool.m4:ltdl.m4:$pkgmacro_files" \
@@ -1109,16 +1109,16 @@ func_install_pkgmacro_parent ()
     # Copy all the files from installed libltdl to this project, if the
     # user specified a macrodir.
     $opt_quiet || if test -n "$ac_macrodir"; then
-      my_pkgmacro_header="putting macros in AC_CONFIG_MACRO_DIR, \`$ac_macrodir'."
+      my_pkgmacro_header="putting macros in AC_CONFIG_MACRO_DIR, \"$ac_macrodir\"."
     elif test -n "$macrodir"; then
-      my_pkgmacro_header="putting macros in \`$macrodir'."
+      my_pkgmacro_header="putting macros in \"$macrodir\"."
     fi
 
     if $opt_ltdl; then
       func_serial_update argz.m4 "$aclocaldir" "$macrodir" \
         my_pkgmacro_header argz.m4
     else
-      func_verbose "Not copying \`$macrodir/argz.m4', libltdl not used."
+      func_verbose "Not copying \"$macrodir/argz.m4\", libltdl not used."
     fi
 
     func_serial_update  libtool.m4 "$aclocaldir" "$macrodir" \
@@ -1128,7 +1128,7 @@ func_install_pkgmacro_parent ()
       func_serial_update ltdl.m4 "$aclocaldir" "$macrodir" \
         my_pkgmacro_header 'LTDL_INIT'
     else
-      func_verbose "Not copying \`$macrodir/ltdl.m4', libltdl not used."
+      func_verbose "Not copying \"$macrodir/ltdl.m4\", libltdl not used."
     fi
 
     my_save_IFS="$IFS"
@@ -1229,9 +1229,9 @@ func_install_pkgltdl_files ()
     # Copy all the files from installed libltdl to this project, if the
     # user specified `--ltdl'.
     $opt_quiet || if test -n "$ac_ltdldir"; then
-      pkgltdl_header="putting libltdl files in LT_CONFIG_LTDL_DIR, \`$ac_ltdldir'."
+      pkgltdl_header="putting libltdl files in LT_CONFIG_LTDL_DIR, \"$ac_ltdldir\"."
     elif test -n "$ltdldir"; then
-      pkgltdl_header="putting libltdl files in \`$ltdldir'."
+      pkgltdl_header="putting libltdl files in \"$ltdldir\"."
     fi
 
     # These files are handled specially, depending on ltdl_mode:
@@ -1305,9 +1305,9 @@ func_install_pkgconfig_subproject ()
     # Copy all the files from installed libltdl to this project, if the
     # user specified an auxdir.
     $opt_quiet || if test "x$ac_auxdir" = "x$subproject_auxdir"; then
-      pkgconfig_header="putting auxiliary files in AC_CONFIG_AUX_DIR, \`$subproject_auxdir'."
+      pkgconfig_header="putting auxiliary files in AC_CONFIG_AUX_DIR, \"$subproject_auxdir\"."
     elif test -n "$auxdir"; then
-      pkgconfig_header="putting auxiliary files in \`$auxdir'."
+      pkgconfig_header="putting auxiliary files in \"$auxdir\"."
     fi
 
     func_copy_some_files "$pkgconfig_files" \
@@ -1331,9 +1331,9 @@ func_install_pkgconfig_parent ()
     done
 
     if test -n "$ac_auxdir"; then
-      pkgconfig_header="putting auxiliary files in AC_CONFIG_AUX_DIR, \`$ac_auxdir'."
+      pkgconfig_header="putting auxiliary files in AC_CONFIG_AUX_DIR, \"$ac_auxdir\"."
     elif test -n "$auxdir" || test "x$ltdldir" = "x."; then
-      pkgconfig_header="putting auxiliary files in \`$auxdir'."
+      pkgconfig_header="putting auxiliary files in \"$auxdir\"."
     fi
 
     if $opt_install; then
@@ -1395,11 +1395,11 @@ func_nonemptydir_p ()
 
     # Is it a directory at all?
     test -d "$my_dir" \
-      || func_fatal_error "\$$my_dirvar is not a directory: \`$my_dir'"
+      || func_fatal_error "\$$my_dirvar is not a directory: \"$my_dir\""
 
     # check that the directories contents can be ls'ed
     test -n "`{ cd $my_dir && ls; } 2>/dev/null`" \
-        || func_fatal_error "can not list files: \`$my_dir'"
+        || func_fatal_error "can not list files: \"$my_dir\""
 }
 
 
@@ -1432,13 +1432,13 @@ func_check_macros ()
       fi
 
       if test -n "$my_missing"; then
-        func_echo "You should add the contents of the following files to \`aclocal.m4':"
+        func_echo "You should add the contents of the following files to \"aclocal.m4\":"
         for need in $my_missing; do
-	  func_echo "  \`$my_ac_config_macro_srcdir/$need'"
+	  func_echo "  \"$my_ac_config_macro_srcdir/$need\""
         done
 
         if test "$my_ac_config_macro_srcdir" != "$aclocaldir"; then
-          func_echo "or else add \`AC_CONFIG_MACRO_DIR([$subproject_macrodir])' to $configure_ac."
+          func_echo "or else add \"AC_CONFIG_MACRO_DIR([$subproject_macrodir])\" to $configure_ac."
 	  ac_config_macro_dir_advised=:
         fi
       fi
@@ -1452,7 +1452,7 @@ func_check_macros ()
     $opt_warning || return
 
     $seen_libtool ||
-      func_echo "Remember to add \`LT_INIT' to $configure_ac."
+      func_echo "Remember to add \"LT_INIT\" to $configure_ac."
 
     # Suggest using LTDL_INIT if appropriate:
     $opt_ltdl && if test x$seen_ltdl != x:; then
@@ -1460,52 +1460,52 @@ func_check_macros ()
 	subproject) ltdl_init_args=""               ;;
 	*)          ltdl_init_args="([$ltdl_mode])" ;;
       esac
-      func_echo "Remember to add \`LTDL_INIT$ltdl_init_args' to $configure_ac."
+      func_echo "Remember to add \"LTDL_INIT$ltdl_init_args\" to $configure_ac."
     fi
 
     if $opt_ltdl; then
       # Remind the user to call LT_CONFIG_LTDL_DIR:
       test -n "$ac_ltdldir" ||
-        func_echo "Remember to add \`LT_CONFIG_LTDL_DIR([$ltdldir])' to \`$configure_ac'."
+        func_echo "Remember to add \"LT_CONFIG_LTDL_DIR([$ltdldir])\" to \"$configure_ac\"."
 
       # For subproject mode, offer some suggestions for avoiding duplicate
       # files in a project that uses libltdl:
       if test "x$ltdl_mode" = "xsubproject"; then
         test "$subproject_auxdir" = "$auxdir" ||
-          func_echo "Consider using \`AC_CONFIG_AUX_DIR([$subproject_auxdir])' in $configure_ac."
+          func_echo "Consider using \"AC_CONFIG_AUX_DIR([$subproject_auxdir])\" in $configure_ac."
         $ac_config_macro_dir_advised || test "$subproject_macrodir" = "$macrodir" ||
-          func_echo "Consider using \`AC_CONFIG_MACRO_DIR([$subproject_macrodir])' in $configure_ac."
+          func_echo "Consider using \"AC_CONFIG_MACRO_DIR([$subproject_macrodir])\" in $configure_ac."
 	ac_config_macro_dir_advised=:
       fi
     fi
 
     # Suggest modern idioms for storing autoconf macros:
     $ac_config_macro_dir_advised || if test -z "$ac_macrodir" || test x"$macrodir" = x.; then
-      func_echo "Consider adding \`AC_CONFIG_MACRO_DIR([m4])' to $configure_ac and"
+      func_echo "Consider adding \"AC_CONFIG_MACRO_DIR([m4])\" to $configure_ac and"
       func_echo "rerunning $progname, to keep the correct libtool macros in-tree."
       ac_config_macro_dir_advised=:
 
     elif test -z "$ac_macrodir$ltdldir"; then
-      func_echo "Consider adding \`AC_CONFIG_MACRO_DIR([$macrodir])' to $configure_ac,"
+      func_echo "Consider adding \"AC_CONFIG_MACRO_DIR([$macrodir])\" to $configure_ac,"
       func_echo "and rerunning $progname and aclocal."
       ac_config_macro_dir_advised=:
     fi
 
     if test -z "$am_macrodir$macrodir"; then
-      func_echo "Consider adding \`-I m4' to ACLOCAL_AMFLAGS in Makefile.am."
+      func_echo "Consider adding \"-I m4\" to ACLOCAL_AMFLAGS in Makefile.am."
 
     elif test -z "$am_macrodir"; then
       if $opt_ltdl && test "x$ltdl_mode" = "xsubproject" && test "$subproject_macrodir" != "$macrodir"; then
-	func_echo "Consider adding \`-I $subproject_macrodir' to ACLOCAL_AMFLAGS in Makefile.am."
+	func_echo "Consider adding \"-I $subproject_macrodir\" to ACLOCAL_AMFLAGS in Makefile.am."
       else
-        func_echo "Consider adding \`-I $macrodir' to ACLOCAL_AMFLAGS in Makefile.am."
+        func_echo "Consider adding \"-I $macrodir\" to ACLOCAL_AMFLAGS in Makefile.am."
       fi
     fi
 
     # Don't trace for this, we're just checking the user didn't invoke it
     # directly from configure.ac.
     $SED 's,dnl .*$,,; s,# .*$,,' "$configure_ac" | grep AC_PROG_RANLIB >/dev/null &&
-      func_echo "\`AC_PROG_RANLIB' is rendered obsolete by \`LT_INIT'"
+      func_echo "\"AC_PROG_RANLIB\" is rendered obsolete by \"LT_INIT\""
 
     # FIXME: Ensure ltmain.sh, libtool.m4 and ltdl.m4 are from the same release
 }
-- 
1.6.5

